Page MenuHomePhabricator

Figure out whether we can get rid of IE8 scrolling hack from WikiEditor
Closed, ResolvedPublic

Description

Investigate whether we can get rid of @Catrope's infamous var IHateIE scrolling hack from WikiEditor. Some comments indicate that this is an IE8 hack, others say <= 10, and we still serve JS to IE9 users.

See also:

Event Timeline

Legoktm created this task.Jan 11 2016, 7:02 AM
Legoktm raised the priority of this task from to Needs Triage.
Legoktm updated the task description. (Show Details)
Catrope updated the task description. (Show Details)Jan 15 2016, 11:00 PM
Catrope set Security to None.
Danny_B moved this task from Unsorted to IE8 on the Technical-Debt board.Jan 22 2016, 11:31 PM
Danny_B moved this task from IE8 to Needs removal on the Technical-Debt board.Jan 23 2016, 12:10 AM

Change 350441 had a related patch set uploaded (by Fomafix):
[mediawiki/extensions/WikiEditor@master] Remove workarounds for IE8

https://gerrit.wikimedia.org/r/350441

Krinkle updated the task description. (Show Details)Apr 26 2017, 5:00 PM

Change 350441 merged by jenkins-bot:
[mediawiki/extensions/WikiEditor@master] Remove workarounds for IE8

https://gerrit.wikimedia.org/r/350441

Change 383850 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/WikiEditor@master] Remove rest of partially-removed IE hack

https://gerrit.wikimedia.org/r/383850

Change 383851 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/core@master] Drop call of deprecated IE8-support method

https://gerrit.wikimedia.org/r/383851

Change 383851 merged by jenkins-bot:
[mediawiki/core@master] Drop call of deprecated IE8-support method

https://gerrit.wikimedia.org/r/383851

Change 383850 merged by jenkins-bot:
[mediawiki/extensions/WikiEditor@master] Remove rest of partially-removed IE hack

https://gerrit.wikimedia.org/r/383850

Krinkle closed this task as Resolved.Jun 15 2018, 12:28 PM
Krinkle assigned this task to Esanders.
happy5214 moved this task from Backlog to Closed on the WikiEditor board.Aug 4 2019, 11:39 AM